# Uses of Interface
org.bukkit.Registry

Packages that use Registry
Package
Description
io.papermc.paper.registry
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of Registry in io.papermc.paper.registry

Methods in io.papermc.paper.registry with parameters of type Registry
Modifier and Type
Method
Description
`static <T extends Keyed>
@NotNull Reference<T>`
Reference.`create(@NotNull Registry<T> registry, @NotNull NamespacedKey key)`
Creates a reference to a registered value.

## Uses of Registry in org.bukkit

Classes in org.bukkit that implement Registry
Modifier and Type
Class
Description
`static final class`
`Registry.SimpleRegistry<T extends Enum<T> & Keyed>`
Fields in org.bukkit declared as Registry
Modifier and Type
Field
Description
`static final Registry<Advancement>`
Registry.`ADVANCEMENT`
Server advancements.
`static final Registry<Art>`
Registry.`ART`
Server art.
`static final Registry<Attribute>`
Registry.`ATTRIBUTE`
Attribute.
`static final Registry<Biome>`
Registry.`BIOME`
Server biomes.
`static final Registry<KeyedBossBar>`
Registry.`BOSS_BARS`
Custom boss bars.
`static final Registry<ConfiguredStructure>`
Registry.`CONFIGURED_STRUCTURE`
Configured structures.
`static final Registry<Enchantment>`
Registry.`ENCHANTMENT`
Server enchantments.
`static final Registry<EntityType>`
Registry.`ENTITY_TYPE`
Server entity types.
`static final Registry<Fluid>`
Registry.`FLUID`
Server fluids.
`static final Registry<Frog.Variant>`
Registry.`FROG_VARIANT`
Frog variants.
`static final Registry<GameEvent>`
Registry.`GAME_EVENT`
Game events.
`static final Registry<LootTables>`
Registry.`LOOT_TABLES`
Default server loot tables.
`static final Registry<Material>`
Registry.`MATERIAL`
Server materials.
`static final Registry<MemoryKey>`
Registry.`MEMORY_MODULE_TYPE`
Memory Keys.
`static final Registry<PotionEffectType>`
Registry.`POTION_EFFECT_TYPE`
Potion effect types.
`static final Registry<Sound>`
Registry.`SOUNDS`
Sound keys.
`static final Registry<Statistic>`
Registry.`STATISTIC`
Server statistics.
`static final Registry<Structure>`
Registry.`STRUCTURE`
Server structures.
`static final Registry<StructureType>`
Registry.`STRUCTURE_TYPE`
Server structure types.
`static final Registry<Villager.Profession>`
Registry.`VILLAGER_PROFESSION`
Villager profession.
`static final Registry<Villager.Type>`
Registry.`VILLAGER_TYPE`
Villager type.
Methods in org.bukkit that return Registry
Modifier and Type
Method
Description
`static <T extends Keyed>
@Nullable Registry<T>`
Bukkit.`getRegistry(@NotNull Class<T> tClass)`
Returns the registry for the given class.
`<T extends Keyed>
@Nullable Registry<T>`
Server.`getRegistry(@NotNull Class<T> tClass)`
Returns the registry for the given class.
`<T extends Keyed>
@NotNull Registry<T>`
UnsafeValues.`registryFor(Class<T> classOfT)`
Deprecated.
Gets the server-backed registry for a type.